Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.actions
Class EditAction

    java.lang.Object
      org.openide.util.SharedClassObject
          org.openide.util.actions.SystemAction
              org.openide.util.actions.CallableSystemAction
                  org.openide.util.actions.NodeAction
                      org.openide.util.actions.CookieAction
                          org.openide.actions.EditAction

All Implemented Interfaces:
  ActionListener, Externalizable, Serializable, EventListener, Action, Presenter, Presenter.Menu, Presenter.Popup, Presenter.Toolbar, ContextAwareAction, HelpCtx.Provider

    public class EditAction

extends CookieAction

Edit an object.

See Also:
  `EditCookie`, Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Nested classes/interfaces inherited from interface org.openide.util.actions.Presenter
`Presenter.Menu, Presenter.Popup, Presenter.Toolbar`

Field Summary

Fields inherited from class org.openide.util.actions.CookieAction
`MODE_ALL, MODE_ANY, MODE_EXACTLY_ONE, MODE_ONE, MODE_SOME`

Fields inherited from class org.openide.util.actions.SystemAction
`PROP_ENABLED, PROP_ICON`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`EditAction()`

Method Summary
`protected boolean` | `asynchronous()`
`protected Class[]` | `cookieClasses()`
`HelpCtx` | `getHelpCtx()`
`String` | `getName()`
`protected int` | `mode()`
`protected void` | `performAction(org.openide.nodes.Node[] activatedNodes)`
`protected boolean` | `surviveFocusChange()`

Methods inherited from class org.openide.util.actions.CookieAction
`createContextAwareInstance, enable`

Methods inherited from class org.openide.util.actions.NodeAction
`actionPerformed, addNotify, getActivatedNodes, initialize, isEnabled, performAction, removeNotify, setEnabled`

Methods inherited from class org.openide.util.actions.CallableSystemAction
`getMenuPresenter, getPopupPresenter, getToolbarPresenter`

Methods inherited from class org.openide.util.actions.SystemAction
`clearSharedData, createPopupMenu, createToolbarPresenter, get, getIcon, getIcon, getValue, iconResource, linkActions, putValue, setIcon`

Methods inherited from class org.openide.util.SharedClassObject
`addPropertyChangeListener, equals, finalize, findObject, findObject, firePropertyChange, getLock, getProperty, hashCode, putProperty, putProperty, readExternal, removePropertyChangeListener, reset, writeExternal, writeReplace`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.Action
`addPropertyChangeListener, getValue, putValue, removePropertyChangeListener`

Constructor Detail

### EditAction

    public EditAction()

Method Detail

### surviveFocusChange

    protected boolean surviveFocusChange()

  Overrides:
    `surviveFocusChange` in class `NodeAction`

### getName

    public String getName()

  Specified by:
    `getName` in class `SystemAction`

### getHelpCtx

    public HelpCtx getHelpCtx()

  Specified by:
    `getHelpCtx` in interface `HelpCtx.Provider`
  Specified by:
    `getHelpCtx` in class `SystemAction`

### mode

    protected int mode()

  Specified by:
    `mode` in class `CookieAction`

### cookieClasses

    protected Class[] cookieClasses()

  Specified by:
    `cookieClasses` in class `CookieAction`

### performAction

    protected void performAction(org.openide.nodes.Node[] activatedNodes)

  Specified by:
    `performAction` in class `NodeAction`

### asynchronous

    protected boolean asynchronous()

  Overrides:
    `asynchronous` in class `CallableSystemAction`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.actions 6.5.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.